{ pkgs, lib, config, host, ... }:
with lib;
with lib.plusultra;
{
  imports = [ ./hardware-configuration.nix ];

  plusultra = {
    base.enable = true;
    nix-ld.enable = true;
    nix.enable = true;
    nix.extra-substituters."https://nixsgx.cachix.org".key = "nixsgx.cachix.org-1:tGi36DlY2joNsIXOlGnSgWW0+E094V6hW0umQRo/KoE=";
    user.extraGroups = [ "docker" ];
  };

  virtualisation.docker.enable = true;

  system.autoUpgrade = {
    enable = true;
    operation = "boot";
    allowReboot = true;
    flags = [
      "--update-input"
      "nixpkgs"
      "--update-input"
      "unstable"
    ];
    flake = "git+https://git.hoyer.xyz/harald/nixcfg#${host}";
  };

  networking.hostName = "sgx-nixos"; # Define your hostname.

  networking.wireless.enable = false; # Enables wireless support via wpa_supplicant.

  services.aesmd.enable = true;

  powerManagement.cpuFreqGovernor = "ondemand";

  system.stateVersion = "23.11";
}
